picard.fastq

## Class Casava18ReadNameEncoder

- java.lang.Object
- - picard.fastq.Casava18ReadNameEncoder

- All Implemented Interfaces:
    ReadNameEncoder

      public class Casava18ReadNameEncoder
      extends Object
      implements ReadNameEncoder

  A read name encoder conforming to the standard described by Illumina Casava 1.8.
  See Also:
    Casava 1.8 update

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Casava18ReadNameEncoder(String instrumentName, String runId, String flowcellId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateReadName(ClusterData cluster, Integer pairNumber)` Generates a read name string for the provided cluster.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Casava18ReadNameEncoder

          public Casava18ReadNameEncoder(String instrumentName,
                                         String runId,
                                         String flowcellId)

  - ### Method Detail

    - #### generateReadName

          public String generateReadName(ClusterData cluster,
                                         Integer pairNumber)

      Description copied from interface: `ReadNameEncoder`
      Generates a read name string for the provided cluster.
      Specified by:
        `generateReadName` in interface `ReadNameEncoder`
      Parameters:
        `cluster` - The cluster whose reads are having its name generated
        `pairNumber` - 1 if this is the first of the pair, 2 if it is the second, or null if this not a paired read.
      Returns:
        The read name